---
title: FileReader.onload
slug: Web/API/FileReader/onload
tags:
  - Event Handler
  - File
  - FileReader
  - Property
  - Reference
---
<p>{{APIRef}}</p>

<p>The <strong><code>FileReader.onload</code></strong> property contains an event handler executed when the {{event('load')}} event is fired, when content read with <a href="/en-US/docs/Web/API/FileReader/readAsArrayBuffer">readAsArrayBuffer</a>, <a href="/en-US/docs/Web/API/FileReader/readAsBinaryString">readAsBinaryString</a>, <a href="/en-US/docs/Web/API/FileReader/readAsDataURL">readAsDataURL</a> or <a href="/en-US/docs/Web/API/FileReader/readAsText">readAsText</a> is available.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js; line-numbers  language-js"><code class="language-js">// Callback from a &lt;input type="file" onchange="onChange(event)"&gt;
function onChange(event) {
  var file = event.target.files[0];
  var reader = new FileReader();
  reader.onload = function(e) {
    // The file's text will be printed here
    console.log(e.target.result)
  };

  reader.readAsText(file);
}
</code></pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileReader.onload")}}</p>
